org.hibernate.search.query.hibernate.impl

## Class AbstractLoader

- java.lang.Object
- - org.hibernate.search.query.hibernate.impl.AbstractLoader

- All Implemented Interfaces:
    Loader
  Direct Known Subclasses:
    MultiClassesQueryLoader, QueryLoader

      public abstract class AbstractLoader
      extends Object
      implements Loader

  Abstract loader which will take care of taking object loading timings.
  Author:
    Hardy Ferentschik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLoader()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Object` | `executeLoad(EntityInfo entityInfo)`
    `protected abstract List` | `executeLoad(List<EntityInfo> entityInfo)`
    `void` | `init(SessionImplementor session, ExtendedSearchIntegrator extendedIntegrator)`
    `Object` | `load(EntityInfo entityInfo)`
    `List` | `load(List<EntityInfo> entityInfos)`
    `Object` | `loadWithoutTiming(EntityInfo entityInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.query.hibernate.impl.Loader

      `init, isSizeSafe`

- - ### Constructor Detail

    - #### AbstractLoader

          public AbstractLoader()

  - ### Method Detail

    - #### init

          public void init(SessionImplementor session,
                           ExtendedSearchIntegrator extendedIntegrator)

    - #### load

          public final Object load(EntityInfo entityInfo)

      Specified by:
        `load` in interface `Loader`

    - #### loadWithoutTiming

          public Object loadWithoutTiming(EntityInfo entityInfo)

      Specified by:
        `loadWithoutTiming` in interface `Loader`

    - #### executeLoad

          protected abstract Object executeLoad(EntityInfo entityInfo)

    - #### load

          public List load(List<EntityInfo> entityInfos)

      Specified by:
        `load` in interface `Loader`

    - #### executeLoad

          protected abstract List executeLoad(List<EntityInfo> entityInfo)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved